<template>
    <view class="page">
        <web-view
            @load="loadDown"
            @error="onError"
            style="width: 100%; height: 94vh"
            :fullscreen="false"
            :src="webUrl">
        </web-view>
    </view>
</template>

<script setup>
import { ref, onMounted } from "vue";

let webUrl = ref('');

onMounted(() => {
    let openId = uni.getStorageSync("openId");
    webUrl.value = `https://www.elitesys.hk/EliteBotWeb/#/?wechatId=${openId}`;

    uni.showLoading();
    setTimeout(() => {
        uni.hideLoading();
    }, 1000);
});

const loadDown = () => {
    uni.hideLoading();
};
const onError = () => {
    uni.hideLoading();
};
</script>

<style lang="scss" scoped>
.page {
    display: flex;
    flex-direction: column;
    height: 100vh;
    background: #FFFFFF;
    overflow: hidden;
}
</style>
